
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineSystem.cmake:205 (message)"
      - "CMakeLists.txt:40 (project)"
    message: |
      The system is: FreeBSD - 14.2-RELEASE - amd64
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler: /usr/bin/c++ 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"
      
      The CXX compiler identification is Clang, found in:
        /rdbg-bench/src/rocksdb-6.9/CMakeFiles/3.30.5/CompilerIdCXX/a.out
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /usr/bin/cc 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is Clang, found in:
        /rdbg-bench/src/rocksdb-6.9/CMakeFiles/3.30.5/CompilerIdC/a.out
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:1205 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineASMCompiler.cmake:135 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Checking whether the ASM compiler is GNU using "--version" did not match "(GNU assembler)|(GCC)|(Free Software Foundation)":
      FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
      Target: x86_64-unknown-freebsd13.1
      Thread model: posix
      InstalledDir: /usr/bin
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:1205 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineASMCompiler.cmake:135 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Checking whether the ASM compiler is AppleClang using "--version" did not match "(Apple (clang|LLVM) version)":
      FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
      Target: x86_64-unknown-freebsd13.1
      Thread model: posix
      InstalledDir: /usr/bin
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerId.cmake:1192 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineASMCompiler.cmake:135 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Checking whether the ASM compiler is Clang using "--version" matched "(clang version)":
      FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
      Target: x86_64-unknown-freebsd13.1
      Thread model: posix
      InstalledDir: /usr/bin
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "/usr/local/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_2c3e0/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_2c3e0.dir/build.make CMakeFiles/cmTC_2c3e0.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk'
        Building CXX object CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o
        /usr/bin/c++   -v -MD -MT CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake/Modules/CMakeCXXCompilerABI.cpp
        FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
        Target: x86_64-unknown-freebsd13.1
        Thread model: posix
        InstalledDir: /usr/bin
         (in-process)
         "/usr/bin/c++" -cc1 -triple x86_64-unknown-freebsd13.1 -emit-obj -mrelax-all --mrelax-relocations -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model static -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -v -fcoverage-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk -resource-dir /usr/lib/clang/13.0.0 -dependency-file CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o.d -MT CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -sys-header-deps -internal-isystem /usr/include/c++/v1 -fdeprecated-macro -fdebug-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk -ferror-limit 19 -fgnuc-version=4.2.1 -fcxx-exceptions -fexceptions -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -x c++ /usr/local/share/cmake/Modules/CMakeCXXCompilerABI.cpp
        clang -cc1 version 13.0.0 based upon LLVM 13.0.0 default target x86_64-unknown-freebsd13.1
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/include/c++/v1
         /usr/lib/clang/13.0.0/include
         /usr/include
        End of search list.
        Linking CXX executable cmTC_2c3e0
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_2c3e0.dir/link.txt --verbose=1
        /usr/bin/c++  -v CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_2c3e0
        FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
        Target: x86_64-unknown-freebsd13.1
        Thread model: posix
        InstalledDir: /usr/bin
         "/usr/bin/ld" --eh-frame-hdr -dynamic-linker /libexec/ld-elf.so.1 --hash-style=both --enable-new-dtags -o cmTC_2c3e0 /usr/lib/crt1.o /usr/lib/crti.o /usr/lib/crtbegin.o -L/usr/lib CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -lc++ -lm -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/crtend.o /usr/lib/crtn.o
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:182 (message)"
      - "/usr/local/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Parsed CXX implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/include/c++/v1]
          add: [/usr/lib/clang/13.0.0/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/include/c++/v1] ==> [/usr/include/c++/v1]
        collapse include dir [/usr/lib/clang/13.0.0/include] ==> [/usr/lib/clang/13.0.0/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/include/c++/v1;/usr/lib/clang/13.0.0/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "/usr/local/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Parsed CXX implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?))("|,| |$)]
        ignore line: [Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_2c3e0/fast]
        ignore line: [/usr/local/bin/gmake  -f CMakeFiles/cmTC_2c3e0.dir/build.make CMakeFiles/cmTC_2c3e0.dir/build]
        ignore line: [gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk']
        ignore line: [Building CXX object CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o]
        ignore line: [/usr/bin/c++   -v -MD -MT CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)]
        ignore line: [Target: x86_64-unknown-freebsd13.1]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/bin]
        ignore line: [ (in-process)]
        ignore line: [ "/usr/bin/c++" -cc1 -triple x86_64-unknown-freebsd13.1 -emit-obj -mrelax-all --mrelax-relocations -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model static -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -v -fcoverage-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk -resource-dir /usr/lib/clang/13.0.0 -dependency-file CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o.d -MT CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -sys-header-deps -internal-isystem /usr/include/c++/v1 -fdeprecated-macro -fdebug-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-T5ccbk -ferror-limit 19 -fgnuc-version=4.2.1 -fcxx-exceptions -fexceptions -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -x c++ /usr/local/share/cmake/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [clang -cc1 version 13.0.0 based upon LLVM 13.0.0 default target x86_64-unknown-freebsd13.1]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/include/c++/v1]
        ignore line: [ /usr/lib/clang/13.0.0/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Linking CXX executable cmTC_2c3e0]
        ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_2c3e0.dir/link.txt --verbose=1]
        ignore line: [/usr/bin/c++  -v CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_2c3e0]
        ignore line: [FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)]
        ignore line: [Target: x86_64-unknown-freebsd13.1]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/bin]
        link line: [ "/usr/bin/ld" --eh-frame-hdr -dynamic-linker /libexec/ld-elf.so.1 --hash-style=both --enable-new-dtags -o cmTC_2c3e0 /usr/lib/crt1.o /usr/lib/crti.o /usr/lib/crtbegin.o -L/usr/lib CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o -lc++ -lm -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/crtend.o /usr/lib/crtn.o]
          arg [/usr/bin/ld] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/libexec/ld-elf.so.1] ==> ignore
          arg [--hash-style=both] ==> ignore
          arg [--enable-new-dtags] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_2c3e0] ==> ignore
          arg [/usr/lib/crt1.o] ==> obj [/usr/lib/crt1.o]
          arg [/usr/lib/crti.o] ==> obj [/usr/lib/crti.o]
          arg [/usr/lib/crtbegin.o] ==> obj [/usr/lib/crtbegin.o]
          arg [-L/usr/lib] ==> dir [/usr/lib]
          arg [CMakeFiles/cmTC_2c3e0.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
          arg [-lc++] ==> lib [c++]
          arg [-lm] ==> lib [m]
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [/usr/lib/crtend.o] ==> obj [/usr/lib/crtend.o]
          arg [/usr/lib/crtn.o] ==> obj [/usr/lib/crtn.o]
        linker tool for 'CXX': /usr/bin/ld
        collapse library dir [/usr/lib] ==> [/usr/lib]
        implicit libs: [c++;m;gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib/crt1.o;/usr/lib/crti.o;/usr/lib/crtbegin.o;/usr/lib/crtend.o;/usr/lib/crtn.o]
        implicit dirs: [/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "/usr/local/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Running the CXX compiler's linker: "/usr/bin/ld" "-v"
      LLD 13.0.0 (FreeBSD llvmorg-13.0.0-0-gd7b669b3a303-1400002) (compatible with GNU linkers)
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "/usr/local/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_C_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_9af96/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_9af96.dir/build.make CMakeFiles/cmTC_9af96.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh'
        Building C object CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o
        /usr/bin/cc   -v -MD -MT CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -c /usr/local/share/cmake/Modules/CMakeCCompilerABI.c
        FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
        Target: x86_64-unknown-freebsd13.1
        Thread model: posix
        InstalledDir: /usr/bin
         (in-process)
         "/usr/bin/cc" -cc1 -triple x86_64-unknown-freebsd13.1 -emit-obj -mrelax-all --mrelax-relocations -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model static -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -v -fcoverage-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh -resource-dir /usr/lib/clang/13.0.0 -dependency-file CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -sys-header-deps -fdebug-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh -ferror-limit 19 -fgnuc-version=4.2.1 -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -x c /usr/local/share/cmake/Modules/CMakeCCompilerABI.c
        clang -cc1 version 13.0.0 based upon LLVM 13.0.0 default target x86_64-unknown-freebsd13.1
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/clang/13.0.0/include
         /usr/include
        End of search list.
        Linking C executable cmTC_9af96
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_9af96.dir/link.txt --verbose=1
        /usr/bin/cc  -v CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -o cmTC_9af96
        FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)
        Target: x86_64-unknown-freebsd13.1
        Thread model: posix
        InstalledDir: /usr/bin
         "/usr/bin/ld" --eh-frame-hdr -dynamic-linker /libexec/ld-elf.so.1 --hash-style=both --enable-new-dtags -o cmTC_9af96 /usr/lib/crt1.o /usr/lib/crti.o /usr/lib/crtbegin.o -L/usr/lib CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/crtend.o /usr/lib/crtn.o
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:182 (message)"
      - "/usr/local/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/clang/13.0.0/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/clang/13.0.0/include] ==> [/usr/lib/clang/13.0.0/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/clang/13.0.0/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "/usr/local/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?))("|,| |$)]
        ignore line: [Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_9af96/fast]
        ignore line: [/usr/local/bin/gmake  -f CMakeFiles/cmTC_9af96.dir/build.make CMakeFiles/cmTC_9af96.dir/build]
        ignore line: [gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh']
        ignore line: [Building C object CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o]
        ignore line: [/usr/bin/cc   -v -MD -MT CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -c /usr/local/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)]
        ignore line: [Target: x86_64-unknown-freebsd13.1]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/bin]
        ignore line: [ (in-process)]
        ignore line: [ "/usr/bin/cc" -cc1 -triple x86_64-unknown-freebsd13.1 -emit-obj -mrelax-all --mrelax-relocations -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model static -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -v -fcoverage-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh -resource-dir /usr/lib/clang/13.0.0 -dependency-file CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -sys-header-deps -fdebug-compilation-dir=/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-792muh -ferror-limit 19 -fgnuc-version=4.2.1 -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -x c /usr/local/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [clang -cc1 version 13.0.0 based upon LLVM 13.0.0 default target x86_64-unknown-freebsd13.1]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/clang/13.0.0/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Linking C executable cmTC_9af96]
        ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_9af96.dir/link.txt --verbose=1]
        ignore line: [/usr/bin/cc  -v CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -o cmTC_9af96]
        ignore line: [FreeBSD clang version 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)]
        ignore line: [Target: x86_64-unknown-freebsd13.1]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/bin]
        link line: [ "/usr/bin/ld" --eh-frame-hdr -dynamic-linker /libexec/ld-elf.so.1 --hash-style=both --enable-new-dtags -o cmTC_9af96 /usr/lib/crt1.o /usr/lib/crti.o /usr/lib/crtbegin.o -L/usr/lib CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/crtend.o /usr/lib/crtn.o]
          arg [/usr/bin/ld] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/libexec/ld-elf.so.1] ==> ignore
          arg [--hash-style=both] ==> ignore
          arg [--enable-new-dtags] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_9af96] ==> ignore
          arg [/usr/lib/crt1.o] ==> obj [/usr/lib/crt1.o]
          arg [/usr/lib/crti.o] ==> obj [/usr/lib/crti.o]
          arg [/usr/lib/crtbegin.o] ==> obj [/usr/lib/crtbegin.o]
          arg [-L/usr/lib] ==> dir [/usr/lib]
          arg [CMakeFiles/cmTC_9af96.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [/usr/lib/crtend.o] ==> obj [/usr/lib/crtend.o]
          arg [/usr/lib/crtn.o] ==> obj [/usr/lib/crtn.o]
        linker tool for 'C': /usr/bin/ld
        collapse library dir [/usr/lib] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib/crt1.o;/usr/lib/crti.o;/usr/lib/crtbegin.o;/usr/lib/crtend.o;/usr/lib/crtn.o]
        implicit dirs: [/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "/usr/local/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "/usr/local/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:40 (project)"
    message: |
      Running the C compiler's linker: "/usr/bin/ld" "-v"
      LLD 13.0.0 (FreeBSD llvmorg-13.0.0-0-gd7b669b3a303-1400002) (compatible with GNU linkers)
...

---
events:
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/local/share/cmake/Modules/CheckCXXCompilerFlag.cmake:34 (cmake_check_compiler_flag)"
      - "CMakeLists.txt:198 (CHECK_CXX_COMPILER_FLAG)"
    checks:
      - "Performing Test HAVE_OMIT_LEAF_FRAME_POINTER"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-pjFRcS"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-pjFRcS"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_OMIT_LEAF_FRAME_POINTER"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-pjFRcS'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_63e03/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_63e03.dir/build.make CMakeFiles/cmTC_63e03.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-pjFRcS'
        Building CXX object CMakeFiles/cmTC_63e03.dir/src.cxx.o
        /usr/bin/c++ -DHAVE_OMIT_LEAF_FRAME_POINTER  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer    -momit-leaf-frame-pointer -MD -MT CMakeFiles/cmTC_63e03.dir/src.cxx.o -MF CMakeFiles/cmTC_63e03.dir/src.cxx.o.d -o CMakeFiles/cmTC_63e03.dir/src.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-pjFRcS/src.cxx
        Linking CXX executable cmTC_63e03
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_63e03.dir/link.txt --verbose=1
        /usr/bin/c++  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer  CMakeFiles/cmTC_63e03.dir/src.cxx.o -o cmTC_63e03
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-pjFRcS'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "CMakeLists.txt:257 (CHECK_CXX_SOURCE_COMPILES)"
    checks:
      - "Performing Test HAVE_SSE42"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-oaNXnG"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-oaNXnG"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_SSE42"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-oaNXnG'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_1260a/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_1260a.dir/build.make CMakeFiles/cmTC_1260a.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-oaNXnG'
        Building CXX object CMakeFiles/cmTC_1260a.dir/src.cxx.o
        /usr/bin/c++ -DHAVE_SSE42  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -msse4.2 -mpclmul -MD -MT CMakeFiles/cmTC_1260a.dir/src.cxx.o -MF CMakeFiles/cmTC_1260a.dir/src.cxx.o.d -o CMakeFiles/cmTC_1260a.dir/src.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-oaNXnG/src.cxx
        Linking CXX executable cmTC_1260a
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_1260a.dir/link.txt --verbose=1
        /usr/bin/c++  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -msse4.2 -mpclmul CMakeFiles/cmTC_1260a.dir/src.cxx.o -o cmTC_1260a
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-oaNXnG'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "CMakeLists.txt:277 (CHECK_CXX_SOURCE_COMPILES)"
    checks:
      - "Performing Test HAVE_THREAD_LOCAL"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-HiiLqB"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-HiiLqB"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_THREAD_LOCAL"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-HiiLqB'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_80999/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_80999.dir/build.make CMakeFiles/cmTC_80999.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-HiiLqB'
        Building CXX object CMakeFiles/cmTC_80999.dir/src.cxx.o
        /usr/bin/c++ -DHAVE_THREAD_LOCAL  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native  -MD -MT CMakeFiles/cmTC_80999.dir/src.cxx.o -MF CMakeFiles/cmTC_80999.dir/src.cxx.o.d -o CMakeFiles/cmTC_80999.dir/src.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-HiiLqB/src.cxx
        Linking CXX executable cmTC_80999
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_80999.dir/link.txt --verbose=1
        /usr/bin/c++  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native  CMakeFiles/cmTC_80999.dir/src.cxx.o -o cmTC_80999
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-HiiLqB'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "CMakeLists.txt:448 (CHECK_CXX_SOURCE_COMPILES)"
    checks:
      - "Performing Test HAVE_FALLOCATE"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_FALLOCATE"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_be1f3/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_be1f3.dir/build.make CMakeFiles/cmTC_be1f3.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz'
        Building CXX object CMakeFiles/cmTC_be1f3.dir/src.cxx.o
        /usr/bin/c++ -DHAVE_FALLOCATE  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  -MD -MT CMakeFiles/cmTC_be1f3.dir/src.cxx.o -MF CMakeFiles/cmTC_be1f3.dir/src.cxx.o.d -o CMakeFiles/cmTC_be1f3.dir/src.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz/src.cxx
        /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz/src.cxx:3:10: fatal error: 'linux/falloc.h' file not found
        #include <linux/falloc.h>
                 ^~~~~~~~~~~~~~~~
        1 error generated.
        gmake[1]: *** [CMakeFiles/cmTC_be1f3.dir/build.make:79: CMakeFiles/cmTC_be1f3.dir/src.cxx.o] Error 1
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-qWg3sz'
        gmake: *** [Makefile:127: cmTC_be1f3/fast] Error 2
        
      exitCode: 2
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "CMakeLists.txt:461 (CHECK_CXX_SOURCE_COMPILES)"
    checks:
      - "Performing Test HAVE_SYNC_FILE_RANGE_WRITE"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_SYNC_FILE_RANGE_WRITE"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_57365/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_57365.dir/build.make CMakeFiles/cmTC_57365.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2'
        Building CXX object CMakeFiles/cmTC_57365.dir/src.cxx.o
        /usr/bin/c++ -DHAVE_SYNC_FILE_RANGE_WRITE  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  -MD -MT CMakeFiles/cmTC_57365.dir/src.cxx.o -MF CMakeFiles/cmTC_57365.dir/src.cxx.o.d -o CMakeFiles/cmTC_57365.dir/src.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2/src.cxx
        /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2/src.cxx:5:32: error: use of undeclared identifier 'SYNC_FILE_RANGE_WRITE'
          sync_file_range(fd, 0, 1024, SYNC_FILE_RANGE_WRITE);
                                       ^
        1 error generated.
        gmake[1]: *** [CMakeFiles/cmTC_57365.dir/build.make:79: CMakeFiles/cmTC_57365.dir/src.cxx.o] Error 1
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-20bgT2'
        gmake: *** [Makefile:127: cmTC_57365/fast] Error 2
        
      exitCode: 2
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "CMakeLists.txt:472 (CHECK_CXX_SOURCE_COMPILES)"
    checks:
      - "Performing Test HAVE_PTHREAD_MUTEX_ADAPTIVE_NP"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-XgL53I"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-XgL53I"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_PTHREAD_MUTEX_ADAPTIVE_NP"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-XgL53I'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_770cc/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_770cc.dir/build.make CMakeFiles/cmTC_770cc.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-XgL53I'
        Building CXX object CMakeFiles/cmTC_770cc.dir/src.cxx.o
        /usr/bin/c++ -DHAVE_PTHREAD_MUTEX_ADAPTIVE_NP  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  -MD -MT CMakeFiles/cmTC_770cc.dir/src.cxx.o -MF CMakeFiles/cmTC_770cc.dir/src.cxx.o.d -o CMakeFiles/cmTC_770cc.dir/src.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-XgL53I/src.cxx
        Linking CXX executable cmTC_770cc
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_770cc.dir/link.txt --verbose=1
        /usr/bin/c++  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  CMakeFiles/cmTC_770cc.dir/src.cxx.o -o cmTC_770cc
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-XgL53I'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CheckSymbolExists.cmake:154 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSymbolExists.cmake:72 (__CHECK_SYMBOL_EXISTS_IMPL)"
      - "CMakeLists.txt:483 (check_cxx_symbol_exists)"
    checks:
      - "Looking for malloc_usable_size"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-f8DB2v"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-f8DB2v"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_MALLOC_USABLE_SIZE"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-f8DB2v'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_1f2a3/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_1f2a3.dir/build.make CMakeFiles/cmTC_1f2a3.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-f8DB2v'
        Building CXX object CMakeFiles/cmTC_1f2a3.dir/CheckSymbolExists.cxx.o
        /usr/bin/c++   -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  -MD -MT CMakeFiles/cmTC_1f2a3.dir/CheckSymbolExists.cxx.o -MF CMakeFiles/cmTC_1f2a3.dir/CheckSymbolExists.cxx.o.d -o CMakeFiles/cmTC_1f2a3.dir/CheckSymbolExists.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-f8DB2v/CheckSymbolExists.cxx
        Linking CXX executable cmTC_1f2a3
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_1f2a3.dir/link.txt --verbose=1
        /usr/bin/c++  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  CMakeFiles/cmTC_1f2a3.dir/CheckSymbolExists.cxx.o -o cmTC_1f2a3
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-f8DB2v'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CheckSymbolExists.cmake:154 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSymbolExists.cmake:72 (__CHECK_SYMBOL_EXISTS_IMPL)"
      - "CMakeLists.txt:488 (check_cxx_symbol_exists)"
    checks:
      - "Looking for sched_getcpu"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-mcC2Qk"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-mcC2Qk"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_SCHED_GETCPU"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-mcC2Qk'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_b652d/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_b652d.dir/build.make CMakeFiles/cmTC_b652d.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-mcC2Qk'
        Building CXX object CMakeFiles/cmTC_b652d.dir/CheckSymbolExists.cxx.o
        /usr/bin/c++   -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  -MD -MT CMakeFiles/cmTC_b652d.dir/CheckSymbolExists.cxx.o -MF CMakeFiles/cmTC_b652d.dir/CheckSymbolExists.cxx.o.d -o CMakeFiles/cmTC_b652d.dir/CheckSymbolExists.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-mcC2Qk/CheckSymbolExists.cxx
        Linking CXX executable cmTC_b652d
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_b652d.dir/link.txt --verbose=1
        /usr/bin/c++  -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  CMakeFiles/cmTC_b652d.dir/CheckSymbolExists.cxx.o -o cmTC_b652d
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-mcC2Qk'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CheckSymbolExists.cmake:154 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCXXSymbolExists.cmake:72 (__CHECK_SYMBOL_EXISTS_IMPL)"
      - "CMakeLists.txt:493 (check_cxx_symbol_exists)"
    checks:
      - "Looking for getauxval"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_CXX_FLAGS: " -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "HAVE_AUXV_GETAUXVAL"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_bcb93/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_bcb93.dir/build.make CMakeFiles/cmTC_bcb93.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB'
        Building CXX object CMakeFiles/cmTC_bcb93.dir/CheckSymbolExists.cxx.o
        /usr/bin/c++   -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -march=native -Werror  -MD -MT CMakeFiles/cmTC_bcb93.dir/CheckSymbolExists.cxx.o -MF CMakeFiles/cmTC_bcb93.dir/CheckSymbolExists.cxx.o.d -o CMakeFiles/cmTC_bcb93.dir/CheckSymbolExists.cxx.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB/CheckSymbolExists.cxx
        /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB/CheckSymbolExists.cxx:2:10: fatal error: 'auvx.h' file not found
        #include <auvx.h>
                 ^~~~~~~~
        1 error generated.
        gmake[1]: *** [CMakeFiles/cmTC_bcb93.dir/build.make:79: CMakeFiles/cmTC_bcb93.dir/CheckSymbolExists.cxx.o] Error 1
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-KbAHnB'
        gmake: *** [Makefile:127: cmTC_bcb93/fast] Error 2
        
      exitCode: 2
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/local/share/cmake/Modules/CheckCSourceCompiles.cmake:52 (cmake_check_source_compiles)"
      - "/usr/local/share/cmake/Modules/FindThreads.cmake:97 (CHECK_C_SOURCE_COMPILES)"
      - "/usr/local/share/cmake/Modules/FindThreads.cmake:163 (_threads_check_libc)"
      - "CMakeLists.txt:504 (find_package)"
    checks:
      - "Performing Test CMAKE_HAVE_LIBC_PTHREAD"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-6vYBCM"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-6vYBCM"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_C_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "CMAKE_HAVE_LIBC_PTHREAD"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-6vYBCM'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_75b74/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_75b74.dir/build.make CMakeFiles/cmTC_75b74.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-6vYBCM'
        Building C object CMakeFiles/cmTC_75b74.dir/src.c.o
        /usr/bin/cc -DCMAKE_HAVE_LIBC_PTHREAD   -MD -MT CMakeFiles/cmTC_75b74.dir/src.c.o -MF CMakeFiles/cmTC_75b74.dir/src.c.o.d -o CMakeFiles/cmTC_75b74.dir/src.c.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-6vYBCM/src.c
        Linking C executable cmTC_75b74
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_75b74.dir/link.txt --verbose=1
        /usr/bin/cc CMakeFiles/cmTC_75b74.dir/src.c.o -o cmTC_75b74
        ld: error: undefined symbol: pthread_create
        >>> referenced by src.c
        >>>               CMakeFiles/cmTC_75b74.dir/src.c.o:(main)
        cc: error: linker command failed with exit code 1 (use -v to see invocation)
        gmake[1]: *** [CMakeFiles/cmTC_75b74.dir/build.make:100: cmTC_75b74] Error 1
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-6vYBCM'
        gmake: *** [Makefile:127: cmTC_75b74/fast] Error 2
        
      exitCode: 2
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CheckLibraryExists.cmake:69 (try_compile)"
      - "/usr/local/share/cmake/Modules/FindThreads.cmake:112 (CHECK_LIBRARY_EXISTS)"
      - "/usr/local/share/cmake/Modules/FindThreads.cmake:175 (_threads_check_lib)"
      - "CMakeLists.txt:504 (find_package)"
    checks:
      - "Looking for pthread_create in pthreads"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-a65OeS"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-a65OeS"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_C_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "CMAKE_HAVE_PTHREADS_CREATE"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-a65OeS'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_c6ea7/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_c6ea7.dir/build.make CMakeFiles/cmTC_c6ea7.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-a65OeS'
        Building C object CMakeFiles/cmTC_c6ea7.dir/CheckFunctionExists.c.o
        /usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create -MD -MT CMakeFiles/cmTC_c6ea7.dir/CheckFunctionExists.c.o -MF CMakeFiles/cmTC_c6ea7.dir/CheckFunctionExists.c.o.d -o CMakeFiles/cmTC_c6ea7.dir/CheckFunctionExists.c.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-a65OeS/CheckFunctionExists.c
        Linking C executable cmTC_c6ea7
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c6ea7.dir/link.txt --verbose=1
        /usr/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create CMakeFiles/cmTC_c6ea7.dir/CheckFunctionExists.c.o -o cmTC_c6ea7  -lpthreads
        ld: error: unable to find library -lpthreads
        cc: error: linker command failed with exit code 1 (use -v to see invocation)
        gmake[1]: *** [CMakeFiles/cmTC_c6ea7.dir/build.make:100: cmTC_c6ea7] Error 1
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-a65OeS'
        gmake: *** [Makefile:127: cmTC_c6ea7/fast] Error 2
        
      exitCode: 2
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/local/share/cmake/Modules/CheckLibraryExists.cmake:69 (try_compile)"
      - "/usr/local/share/cmake/Modules/FindThreads.cmake:112 (CHECK_LIBRARY_EXISTS)"
      - "/usr/local/share/cmake/Modules/FindThreads.cmake:176 (_threads_check_lib)"
      - "CMakeLists.txt:504 (find_package)"
    checks:
      - "Looking for pthread_create in pthread"
    directories:
      source: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-bSPx9c"
      binary: "/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-bSPx9c"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS-NOTFOUND"
      CMAKE_C_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/rdbg-bench/src/rocksdb-6.9/cmake/modules/"
    buildResult:
      variable: "CMAKE_HAVE_PTHREAD_CREATE"
      cached: true
      stdout: |
        Change Dir: '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-bSPx9c'
        
        Run Build Command(s): /usr/local/bin/cmake -E env VERBOSE=1 /usr/local/bin/gmake -f Makefile cmTC_6c13c/fast
        /usr/local/bin/gmake  -f CMakeFiles/cmTC_6c13c.dir/build.make CMakeFiles/cmTC_6c13c.dir/build
        gmake[1]: Entering directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-bSPx9c'
        Building C object CMakeFiles/cmTC_6c13c.dir/CheckFunctionExists.c.o
        /usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create -MD -MT CMakeFiles/cmTC_6c13c.dir/CheckFunctionExists.c.o -MF CMakeFiles/cmTC_6c13c.dir/CheckFunctionExists.c.o.d -o CMakeFiles/cmTC_6c13c.dir/CheckFunctionExists.c.o -c /rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-bSPx9c/CheckFunctionExists.c
        Linking C executable cmTC_6c13c
        /usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_6c13c.dir/link.txt --verbose=1
        /usr/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create CMakeFiles/cmTC_6c13c.dir/CheckFunctionExists.c.o -o cmTC_6c13c  -lpthread
        gmake[1]: Leaving directory '/rdbg-bench/src/rocksdb-6.9/CMakeFiles/CMakeScratch/TryCompile-bSPx9c'
        
      exitCode: 0
...
